Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel.library
Interface LibraryManager

All Known Implementing Classes:
  LibraryManagerImpl

public interface LibraryManager

The work interface for the LibraryManager, the class that manages all used form model library definitions so they can be shared between forms.

Version:
  $Id: LibraryManager.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary
`static String` | `ROLE`

Method Summary
`Library` | `get(String sourceURI)` Get the cached instance of the library loaded from the specified source URI.
`Library` | `get(String sourceURI, String baseURI)` Get the cached instance of the library loaded from the specified source URI, resolved relative to the base URI.
`Library` | `load(String sourceURI)` Loads (and caches) a library from specified source URI.
`Library` | `load(String sourceURI, String baseURI)` Loads (and caches) a library from specified source URI, resolved relative to the base URI.
`Library` | `newLibrary()` Create new instance of the `Library`.

Field Detail

### ROLE

    public static final String ROLE

Method Detail

### newLibrary

    public Library newLibrary()

  Create new instance of the `Library`.

  Returns:
    new library instance

### load

    public Library load(String sourceURI)
                 throws LibraryException

  Loads (and caches) a library from specified source URI.

  Parameters:
    `sourceURI` - URI of the library source.
  Returns:
    Library loaded from the source URI.
  Throws:
    `LibraryException`

### load

    public Library load(String sourceURI,
                        String baseURI)
                 throws LibraryException

  Loads (and caches) a library from specified source URI, resolved relative to the base URI.

  Parameters:
    `sourceURI` - Relative URI of the library source.
    `baseURI` - Base URI of the library source.
  Returns:
    Library loaded from the source URI.
  Throws:
    `LibraryException`

### get

    public Library get(String sourceURI)
                throws LibraryException

  Get the cached instance of the library loaded from the specified source URI.

  Parameters:
    `sourceURI` - URI of the library source.
  Returns:
    Cached instance of the library, or null if it was not loaded.
  Throws:
    `LibraryException`

### get

    public Library get(String sourceURI,
                       String baseURI)
                throws LibraryException

  Get the cached instance of the library loaded from the specified source URI, resolved relative to the base URI.

  Parameters:
    `sourceURI` - Relative URI of the library source.
    `baseURI` - Base URI of the library source.
  Returns:
    Cached instance of the library, or null if it was not loaded.
  Throws:
    `LibraryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.